Subject: Re: [PATCH 1/2] Driver for Freescale 8610 and 5121 DIU

From: Jiri Slaby <[email-masked]>
Date: Mon, 14 Apr 2008 16:24:10 +0200

On 04/14/2008 04:12 PM, Timur Tabi wrote:
> Unfortunately, the author of the patch, York, is out this week, so I'll have to
> take care of this.  It'd be easier to modify rh_alloc() so that it doesn't
> sleep, so that's what I'm going to do.

Anyway, why do you need the spin lock there (and not mutex)? As I think you are 
still trying to avoid the problem instead of fixing it. Removing GFP_WAIT 
(fsl_diu_alloc) doesn't seem to me as mm friendly solution, especially if you 
allocate that much memory and you can sleep. But I might be wrong, you may need 
the spinlock...